/**************************************************************************
This is a part of ProxyView.
Copyright (c) 2002-2003 EinStEin <einstein@underground.org.pl>.

This file is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
**************************************************************************/

#include "main.h"

void
parse_hostname_and_port(char *opt, char *host, unsigned int *port)
{
	struct servent *p;
	char opt_tmp[256];
	char *port_tmp = 0;
	safe_strcpy(opt_tmp, opt);

	if ((port_tmp = strrchr(opt_tmp, ':'))) {
		*port_tmp++ = '\0';
		if ((p = getservbyname(port_tmp, "tcp")))
			*port = ntohs(p->s_port);
		else
			*port = (unsigned int) atoi(port_tmp);
		strncpy(host, opt_tmp, 255);
	} else {		/* port number available only */
		if ((p = getservbyname(opt, "tcp")))
			*port = ntohs(p->s_port);
		else
			*port = (unsigned int) atoi(opt);
	}
	return;
}

void
version(void)
{
	printf("\nProxyView v%s\n\n", VERSION);
	printf("Copyright (c) 2002-2003 Krzysztof Burghardt 'EinStEin'\n");
	printf("                        <einstein@underground.org.pl>\n");
	printf("See: http://www.underground.org.pl/einstein/\n\n");
}

void
usage(char *me)
{
	version();
	printf("Usage: %s\n\n", me);
	printf
	    ("  --bind           -b	-  local IP:port or port (if INADDR_ANY)\n");
	printf
	    ("  --host           -h	-  remote IP:port or port (if localhost)\n");
	printf("  --display-server -s	-  display data from server\n");
	printf("  --display-client -c	-  display data from client\n");
	printf
	    ("  --verbose-read   -r	-  print whatever you read from server/client\n");
	printf
	    ("  --verbose-write  -w	-  print whatever you write to server/client\n");
	printf
	    ("  --binary         -n	-  print data in hex (e.g. for OpenSSH ;-))\n");
	printf
	    ("  --raw            -a	-  print only RAW data (e.g. for telnet)\n");
	printf("  --help           -?	-  show this help\n");
	printf("  --version        -V	-  show program version\n\n");
}
